User GuidePluginsAPI Reference
POST
/plugin-bridge/request

Documentation-only operation for taiku:request messages sent from a plugin iframe to the host. See x-taiku-bridge-methods for the exhaustive method catalog.

Request Body

Virtual bridge request body.

application/json
  1. body
type*unknown
id*string
pluginId*string
method*string
Value in"getSession""getShells""getShellOutput""readPane""getShellProcessInfo""getUsers""getUserRole""getShellOwnership""adoptShell""getChat""sendChat""writeToShell""createShell""splitShell""closeShell""subscribeEvents""getTunnelPorts""getWorkspaces""getActiveWorkspace""getLayout""createWorkspace""switchWorkspace""setup""splitTile""removeTile""createPluginTile""setBadge""broadcastEvent""getPluginData""setPluginData""deletePluginData""getAllPluginData""renameSession""outputsShow""outputsHide""showToast""sendNotification""playSound""getSecret""getSecrets""getSetting""getSettings""setSetting""showTooltip""hideTooltip""fillComposer""getAgents""openAgentOverlay""getAgentCostSummary""getAgentSessions""getAgentSessionEvents""listAgents""getAgentRuns""getAgentVerdicts""getAgentMail""sendAgentMail""setAgentPanel""clearAgentPanel""setOutputsItems""clearOutputsItems""openPanel""setHeaderVisible""setHeaderButtons""resizePanel""focusTile""getTiles""getUserTiles""focusShell""focusDirection""listDir""openFile""readFile""writeFile""getTerminalNames""showHotkeyHints""getTabGroups""renameTile""swapTiles""setRatio""toggleDirection""maximize""selectTab""nextTab""prevTab""resetLayout""getUserData""setUserData""deleteUserData""listUserData""storage.listFiles""storage.readFile""storage.writeFile""storage.getUsage""storage.deleteFile""setPaletteItems""comments.list""getCommentThreads""replyComment""resolveComment""addComment""addSuggestion""vault.filesByTag""vault.fileByAlias""vault.headers""vault.frontmatter""vault.fileTags""vault.wikilinksOut""vault.wikilinksIn""vault.embedsOut""vault.embedsIn""vault.addTag""vault.addAlias""vault.diagnostics""vault.fileCollaborators""integrations.list""integrations.tools""integrations.connect""integrations.execute"
params?

Response Body

Virtual bridge response body.

application/json
  1. response
type*unknown
id*string
result?unknown
error?string
Example Request
curl -X POST '/api/plugin-bridge/request' \  -H 'Content-Type: application/json' \  -d '{  "type": "taiku:request",  "id": "string",  "pluginId": "string",  "method": "getSession"}'
Example Response200
{  "type": "taiku:response",  "id": "string",  "result": null,  "error": "string"}